API ReferenceapicommunityPOST /v1/admin/reports/{report_id}/resolve

POST /v1/admin/reports/\{report_id\}/resolve

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • report_id (string) required

Request body

{
  "type": "object",
  "properties": {
    "resolution": {
      "type": "string",
      "enum": [
        "dismissed",
        "removed",
        "warn",
        "suspend",
        "ban"
      ]
    },
    "reason": {
      "type": "string",
      "minLength": 1
    },
    "duration_days": {
      "type": "integer",
      "minimum": 1,
      "maximum": 365
    }
  },
  "required": [
    "resolution",
    "reason"
  ]
}

Responses

200 Report resolved

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "reporter_id": {
      "type": "string"
    },
    "target_type": {
      "type": "string"
    },
    "target_id": {
      "type": "string"
    },
    "subject_user_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "reason": {
      "type": "string"
    },
    "notes": {
      "type": [
        "string",
        "null"
      ]
    },
    "resolution": {
      "type": [
        "string",
        "null"
      ],
      "enum": [
        "dismissed",
        "removed",
        "warn",
        "suspend",
        "ban"
      ]
    },
    "resolved_at": {
      "type": [
        "string",
        "null"
      ]
    },
    "resolved_by_user_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "reporter_id",
    "target_type",
    "target_id",
    "subject_user_id",
    "reason",
    "notes",
    "resolution",
    "resolved_at",
    "resolved_by_user_id",
    "created_at"
  ]
}

400 Invalid resolution for target

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

404 Report or target missing

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

409 Report already resolved

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://community.platform.loop.health/v1/admin/reports/{report_id}/resolve \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'